module StringExtensions
  
  def personalize(app_name, hash)
    self.
      gsub('~app_name~', app_name).
      gsub('~github_account~', hash[:deploy][:app_server][:user].to_s).
      gsub('~domain~', hash[:deploy][:app_server][:domain].to_s).
      gsub('~user~', hash[:deploy][:app_server][:user].to_s).
      gsub('~port~',  hash[:deploy][:app_server][:port].to_s).
      gsub('~keys~', hash[:deploy][:app_server][:keys].to_s)
  end
  
end

class String #:nodoc:
  include StringExtensions
end
