say_status :TASK, 'Creating example extension...', :magenta
lib 'core_extensions/object.rb', <<-END
module ObjectExtensions

end

class Object #:nodoc:
  include ObjectExtensions
end
END

say_status :TASK, 'Creating initializer for lib extensions...', :magenta
initializer 'extensions.rb', <<-END
Dir.glob(File.join(Rails.root, 'lib', 'core_extensions', '*.rb')) { |file| require file }
Dir.glob(File.join(Rails.root, 'lib', 'rails_extensions', '*.rb')) { |file| require file }
Dir.glob(File.join(Rails.root, 'lib', 'gem_extensions', '*.rb')) { |file| require file }
END